import Drawnings.DrawningAirbus;
import Generics.AirbusGenericCollection;
import MovementStrategy.DrawningObjectAirbus;

import java.awt.*;
import javax.swing.*;

public class FormGenerationAirbus extends JFrame {
    Canvas canvas;
    DrawningAirbus _airbus;

    JButton buttonGenerate;

    FormGenerationAirbus() {
        JFrame frame = new JFrame("Генерация аэробусов");
        setSize(800,500);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setLayout(null);

        canvas = new FormGenerationAirbus.Canvas();
        canvas.setBounds(0 , 0, 800, 500);

        buttonGenerate = new JButton("Сгенерировать аэробус");
        buttonGenerate.setMargin(new Insets(0, 0, 0, 0));
        buttonGenerate.setBounds(600, 20, 170, 25);

        add(canvas);
        add(buttonGenerate);
        setVisible(true);
    }

    class Canvas extends JComponent {
        public AirbusGenericCollection<DrawningAirbus, DrawningObjectAirbus> _airbus;

        public Canvas() {}
        public void paintComponent(Graphics g) {
            super.paintComponents(g);
            if (_airbus.ShowAirbus() != null) {
                g.drawImage(_airbus.ShowAirbus(), 0, 0, this);
            }
            super.repaint();
        }
    }
}
